Name:           sugar-memorize
Version:        39
Release:        1%{?dist}
Summary:        Memorize for Sugar

Group:          Sugar/Activities
License:        GPLv2+
URL:            http://wiki.sugarlabs.org/go/Activities/Memorize
Source0:        http://download.sugarlabs.org/sources/sucrose/fructose/Memorize/Memorize-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python
BuildRequires:  sugar-toolkit

Requires:       sugar
Requires:       csound-python
Requires:       libxml2-python

%description
The game memorize is about finding matching pairs. A pair can consist of any
multimedia object. At the moment these are images, sounds and text but this
could be extended to animations or movie snippets as well. Which pairs do 
match is up to the creator of the game. Memorize is actually more than just
a predefined game you can play, it allows you to create new games yourself
as well.

%prep
%setup -q -n Memorize-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang org.laptop.Memorize


%files -f org.laptop.Memorize.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{sugaractivitydir}/Memorize.activity/


%changelog
* Sat Oct  2 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 39-1
- Update to 39

* Tue Sep 20 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 37-1
- Update to 37

* Wed Sep  7 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 36-4
- add missing libxml2-python dependency

* Sun May 15 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 36-3
- Fix Requires

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 16 2010 Fabian Affolter <fabian@bernewireless.net> - 35-1
- Updated to new upstream version 35

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 33-4
- recompiling .py files against Python 2.7 (rhbz#623380)

* Mon Dec 14 2009 Peter Robinson <pbrobinson@fedoraproject.org> - 33-3
- Add buildreq gettext to fix build issues on F-12/rawhide - fixes # 539053

* Sat Aug 08 2009 Fabian Affolter <fabian@bernewireless.net> - 33-2
- Bump release

* Tue Aug 04 2009 Fabian Affolter <fabian@bernewireless.net> - 33-1
- Changed source url, now hosted on Sugarlabs
- Updated to new upstream version 33

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 29-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 29-2
- Rebuild for Python 2.6

* Wed Nov 19 2008 Fabian Affolter <fabian@bernewireless.net> - 29-1
- updated to version 29
- changed source0 to release tarball
- removed permission hacks, end-lind-encoding, hidden files

* Thu Oct 16 2008 Fabian Affolter <fabian@bernewireless.net> - 28-1
- Initial package for Fedora
